From 74913be28d94226022941c83fa3f71c8f395d631 Mon Sep 17 00:00:00 2001
From: Alberto Milone <alberto.milone@canonical.com>
Date: Mon, 19 Jan 2015 17:00:23 +0100
Subject: [PATCH 1/1] Add support for Linux 3.18

Set drm_driver.set_busid()
---
 nv-drm.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/nv-drm.c b/nv-drm.c
index f3b74d5..1c04500 100644
--- a/nv-drm.c
+++ b/nv-drm.c
@@ -128,6 +128,10 @@ static struct drm_driver nv_drm_driver = {
     .gem_prime_vmap = nv_gem_prime_vmap,
     .gem_prime_vunmap = nv_gem_prime_vunmap,
 
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(3, 18, 0)
+    .set_busid = drm_pci_set_busid,
+#endif
+
     .name = "nvidia-drm",
     .desc = "NVIDIA DRM driver",
     .date = "20130102",
-- 
1.9.1

